﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;

namespace SummaryRowsSample
{
    public class OrderInfoRepository
    {
        ObservableCollection<OrderInfo> orderDetails;
        public OrderInfoRepository()
        {
            orderDetails = new ObservableCollection<OrderInfo>();
        }

        #region private variables

        private Random random = new Random();

        #endregion

        #region GetOrderDetails

        public ObservableCollection<OrderInfo> GetOrderDetails(int count)
        {
            for (int i = 10001; i <= count + 10000; i++)
            {
				var ord = new OrderInfo()
				{
					Code = i,
					Description = CustomerID[random.Next(15)],
					Paid = (Math.Round(random.Next(100) + random.NextDouble())),
					Incurred = (Math.Round(random.Next(100) + random.NextDouble())),
					Reserves = (Math.Round(random.Next(100) + random.NextDouble())),
					XCode = random.Next(1000, 9999) + "-" + random.Next(1000, 9999),
					YCode = random.Next(1000, 9999) + "-" + random.Next(1000, 9999),
					ZCode = random.Next(1000, 9999) + "-" + random.Next(1000, 9999),
                };
                orderDetails.Add(ord);
            }
            return orderDetails;
        }

        #endregion

        string[] CustomerID = new string[] {
            "Alfki",
            "Frans",
            "Merep",
            "Folko",
            "Simoba",
            "Warth",
            "Vaffesa",
            "Furib",
            "Seves",
            "Linod",
            "Riscu",
            "Picco",
            "Blonp",
            "Welli",
            "Folig"
        };

    }
}
